Starting on December 6, 2018, you may need to upgrade your PBS Video app. Click here to learn more.

What desktop browsers support PBS Passport?

PBS Passport supports the latest versions of Chrome, Firefox, Safari and Internet Explorer.

Browsers typically auto-update, and manually updating is a simple matter. Because of this, we no longer support older browser versions. Users are expected to keep their browser up to date.

UPDATE YOUR BROWSER:

Update Safari

Update Google Chrome

Update Internet Explorer

Update Firefox